Bug 144706 - (xorg-evdev-patch) xorg evdev patch
xorg evdev patch
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: FutureFeature
: 150965 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-01-10 16:00 EST by Clive Messer
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-17 06:16:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to xorg source to include evdev mouse support (45.15 KB, patch)
2005-01-10 16:01 EST, Clive Messer
no flags Details | Diff

  None (edit)
Description Clive Messer 2005-01-10 16:00:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:

With reference to:

This is a request to add the the xorg evdev patch that ships with
Debian and Gentoo to Fedora Core. Specifically, this enhancement
circumvents the limited number of mouse buttons available when using
current built-in X mouse support and lack of protocol support for mice
such as Logitech MX700 and MX1000. 

Without evdev patch my xorg.conf for Logitech MX700 is .....

Section "InputDevice"
    Identifier "Mouse0"
    Driver "mouse"
    Option "Protocol" "ExplorerPS/2"
    Option "Device" "/dev/input/mice"
    Option "ZAxisMapping" "6 7"
    Option "Buttons" "7"

and ....

xmodmap -e "pointer = 1 2 3 6 7 4 5"

With evdev patch to xorg .....

Section "InputDevice"
        Identifier "Mouse0"
        Driver "mouse"
        Option "Protocol"     "evdev"
        Option "Dev Name"     "Logitech USB Receiver" 
        Option "Device"       "/dev/input/mice"
        Option "Buttons"      "10"
        Option "ZAxisMapping" "9 10"
        Option "Resolution"   "800"

and ....

/usr/X11R6/bin/xmodmap -e "pointer = 1 2 3 6 7 8 9 10 4 5"

With evdev patched xorg it is possible to configure all mouse buttons
and also avoid a bug whereby the foremost "cruise control" button also
produces an extraneous ButtonRelease event when using xorg mouse
driver. Button 4 is expected, but an event for button 7 also appears
as described here: http://bugzilla.kernel.org/show_bug.cgi?id=1786

https://bugs.freedesktop.org/show_bug.cgi?id=968 contains a reference
to someone from Gentoo trying to get the patches into upstream. 

It would be good if Fedora Core could match Debian and Gentoo for good
out of the box support of 'advanced' Logitech and other mice by
including the patch until and upstream decision is made.

I have attatched the patch that I used to rebuild
xorg-x11-6.8.1-12.FC3.21. This is that last patch applied as part of
the prepare.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Clive Messer 2005-01-10 16:01:32 EST
Created attachment 109575 [details]
Patch to xorg source to include evdev mouse support
Comment 2 Mike A. Harris 2005-01-17 06:16:54 EST
An better patch was just committed to X.Org CVS by krh, to add evdev 
support to future X.Org releases.  Once a new release of X.Org is
available with this new driver, it will be added to a future
version of Fedora Core.

Since the attached patch is obsoleted by the new driver committed
to CVS, there's no sense applying it, as it wont ever get into
X.Org upstream CVS.

Bugzilla doesn't have a "FUTURE_OS_RELEASE" resolution unfortunately,
so I'm setting this to "WONTFIX", since it wont be added to the
release this bug is filed against.
Comment 3 Clive Messer 2005-01-17 11:35:24 EST
Better? For whom? ;-)

The evdev_drv is certainly not better in terms of functionailty. eg.
Logitech MX 1000 mouse (12 button) 

1. does not generate left/right wheel events. 
2. The thumb button forward/back is mapped to 4 & 5 as well as up/down
on the scroll wheel, losing 2 buttons. 
3. The cruise buttons - forward correctly generates a '7' button press
followed by a '4'. The rear button does not generate the expected
start/finish '8' button press/release, either side of '5'.
4. Option "Buttons" "12" in xorg.conf. xmodmap reports 'bad number of
buttons, must have 32 instead of 12' when I try to re-map the numbers.
32 buttons??? Hello???

The Debian/Gentoo evdev patches have been tried/tested by a large
number of users in the field and result in a usable mouse
configuration. I will continue to patch the Xserver for Logitech
MX1000 / MX700 mice support for my own use. The patch (evdev_drv) that
made it into the upstream is not a 'better' patch from a user point of
Comment 4 Kristian Høgsberg 2005-01-17 11:55:34 EST

All your points are valid and relevant issues.  However, the gentoo
evdev patch is an architechtural dead-end.  I added a more detailed
description in https://bugs.freedesktop.org/show_bug.cgi?id=968.  What
we need to do instead is to make sure the new evdev driver works at
least as good as the old patches.  Your list is a good starting point
and I've added it to my TODO list.  I'll be updating the
freedesktop.org bug when I commit the fixes.

Comment 5 Mike A. Harris 2005-03-12 21:08:47 EST
*** Bug 150965 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.